Debian Bug report logs - #376491
ITP: uuagc -- compiler for the Utrecht University Attribute Grammar system

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Arjan Oosting <arjan@debian.org>

Date: Mon, 3 Jul 2006 10:18:14 UTC

Owned by: Arjan Oosting <arjan@debian.org>

Severity: wishlist

Fixed in versions uuagc/0.9.1-2, uuagc/0.9.1-1

Done: Arjan Oosting <arjanoosting@home.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, hut@cs.uu.nl, debian-haskell@lists.urchin.earth.li, <wnpp@debian.org>, arjan oosting <arjanoosting@home.nl>:
Bug#376491; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, hut@cs.uu.nl, debian-haskell@lists.urchin.earth.li, <wnpp@debian.org>, arjan oosting <arjanoosting@home.nl>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: uuagc -- compiler for the Utrecht University Attribute Grammar system
Date: Mon, 03 Jul 2006 11:58:39 +0200
Package: wnpp
Severity: wishlist
Owner: Arjan Oosting <arjanoosting@home.nl>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi people,

I intend to Debian packages of uulib (ITP #36415) and uuagc. Preliminary
Debian packages are available from
http://moonshine.dnsalias.org/debian/unstable  

* Package name    : uuagc
  Version         : 0.9.1
  Upstream Author : 
    Doaitse Swierstra <doaitse@cs.uu.nl>, 
    Arthur Baars <arthurb@cs.uu.nl> and 
    Alexey Rodriguez <alexey@cs.uu.nl>
* URL             : http://www.cs.uu.nl/wiki/HUT/AttributeGrammarSystem
* License         : GPL
  Programming Lang: Haskell
  Description     : compiler for the Utrecht University Attribute Grammar system

 The Attribute Grammar system can be used to annotate the production
 rules of a grammar with inherited and synthesized attributes. The
 values of the attributes can be determined while parsing/traversing
 an abtract syntax tree and will give the semantic value of the tree.
 . 
 The inherited attributes are values which ares passed downwards in
 the abstract syntax tree and the synthesized attributes are passed
 upward. Haskell expressions are used to describe the computation of
 the attributes.
 .
 The uuagc compiler takes a set files in which the attribute grammar is
 defined and generate a Haskell file which contains the datatype
 definitions that corresponding to the grammar, semantic functions and
 catamorphisms (functions that take a syntax tree and return the
 semantic value of that tree)
 .
 The (Utrecht University) Attribute Grammar system is part of the
 Haskell Utrecht Tools set.
 .

Greetings Arjan

- -- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-3-nebula
Locale: LANG=nl_NL.UTF-8, LC_CTYPE=nl_NL.UTF-8 (charmap=UTF-8)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEqOpOUALvsZYuOJARAiCQAJ0feNZ5alivwSZ+ZUUacyFvnkTBJgCggFue
mdIoGD7X1+Uhmjgy0n6hM2w=
=Xssm
-----END PGP SIGNATURE-----



Blocking bugs added: 376415 Request was from Arjan Oosting <arjanoosting@home.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 376491 Request was from Arjan Oosting <arjanoosting@home.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Arjan Oosting <arjanoosting@home.nl> to Arjan Oosting <arjan@debian.org>. Request was from Arjan Oosting <arjan@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from arjan oosting <arjanoosting@home.nl> to Arjan Oosting <arjan@debian.org>. Request was from Arjan Oosting <arjan@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Arjan Oosting <arjan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Arjan Oosting <arjan@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 376491-close@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjan@debian.org>
To: 376491-close@bugs.debian.org
Subject: Bug#376491: fixed in uuagc 0.9.1-2
Date: Sun, 19 Nov 2006 10:07:22 -0800
Source: uuagc
Source-Version: 0.9.1-2

We believe that the bug you reported is fixed in the latest version of
uuagc, which is due to be installed in the Debian FTP archive:

uuagc_0.9.1-2.diff.gz
  to pool/main/u/uuagc/uuagc_0.9.1-2.diff.gz
uuagc_0.9.1-2.dsc
  to pool/main/u/uuagc/uuagc_0.9.1-2.dsc
uuagc_0.9.1-2_i386.deb
  to pool/main/u/uuagc/uuagc_0.9.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 376491@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arjan Oosting <arjan@debian.org> (supplier of updated uuagc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 19 Oct 2006 01:53:49 +0200
Source: uuagc
Binary: uuagc
Architecture: source i386
Version: 0.9.1-2
Distribution: unstable
Urgency: low
Maintainer: Arjan Oosting <arjan@debian.org>
Changed-By: Arjan Oosting <arjan@debian.org>
Description: 
 uuagc      - compiler for the Utrecht University Attribute Grammar system
Closes: 376491
Changes: 
 uuagc (0.9.1-2) unstable; urgency=low
 .
   * debian/control.in:
     - Change maintainer email address.
 .
 uuagc (0.9.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #376491)
   * debian/copyright: Indicate where the license statement can be found
     until upstrean adds a clear license statement to the tarball.
Files: 
 48ad0396b94766dd2e03f43277deeee0 809 devel optional uuagc_0.9.1-2.dsc
 d25817a83b25db18a193def31d28e302 3508 devel optional uuagc_0.9.1-2.diff.gz
 697494b97ceeb0121fa42bec6eb541fd 404714 devel optional uuagc_0.9.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFNr+bUALvsZYuOJARAocsAKDEFpb0V/y+mTrP9EZFS3I/Xsw20gCeORLv
qPMVmljo+14zMf3HSAQljyw=
=U5uq
-----END PGP SIGNATURE-----




Reply sent to Arjan Oosting <arjanoosting@home.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Arjan Oosting <arjan@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 376491-close@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: 376491-close@bugs.debian.org
Subject: Bug#376491: fixed in uuagc 0.9.1-1
Date: Sun, 19 Nov 2006 10:07:24 -0800
Source: uuagc
Source-Version: 0.9.1-1

We believe that the bug you reported is fixed in the latest version of
uuagc, which is due to be installed in the Debian FTP archive:

uuagc_0.9.1-1.diff.gz
  to pool/main/u/uuagc/uuagc_0.9.1-1.diff.gz
uuagc_0.9.1-1.dsc
  to pool/main/u/uuagc/uuagc_0.9.1-1.dsc
uuagc_0.9.1-1_i386.deb
  to pool/main/u/uuagc/uuagc_0.9.1-1_i386.deb
uuagc_0.9.1.orig.tar.gz
  to pool/main/u/uuagc/uuagc_0.9.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 376491@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arjan Oosting <arjanoosting@home.nl> (supplier of updated uuagc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  2 Jul 2006 17:24:30 +0200
Source: uuagc
Binary: uuagc
Architecture: source i386
Version: 0.9.1-1
Distribution: unstable
Urgency: low
Maintainer: Arjan Oosting <arjanoosting@home.nl>
Changed-By: Arjan Oosting <arjanoosting@home.nl>
Description: 
 uuagc      - compiler for the Utrecht University Attribute Grammar system
Closes: 376491
Changes: 
 uuagc (0.9.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #376491)
   * debian/copyright: Indicate where the license statement can be found
     until upstrean adds a clear license statement to the tarball.
Files: 
 a3ca37e71472709766e8c0fc990333c1 813 devel optional uuagc_0.9.1-1.dsc
 0f29cad75bd759696edc61c24d1a5db9 150063 devel optional uuagc_0.9.1.orig.tar.gz
 7ca3efa90d5e379d58c55d5ddce26e92 3444 devel optional uuagc_0.9.1-1.diff.gz
 13c8b3451097b4397272e3efbd3c0aeb 404646 devel optional uuagc_0.9.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFNr3TUALvsZYuOJARAv1+AJ9N1BL+Qka+4tc4Y4cyxxZoQjV69QCgrLWG
LGvogeNYAx4jcGw6upJftA4=
=ygwE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:13:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:46:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.